Category:    
64bit

Support Level: 2nd Level Topic: ADTF3SupportTB::TCP

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Ticket aus #3458 entstanden

Allerdings haben wir jetzt das Problem, dass uns ADTF2 jedes Mal in den Error State geht,

wenn wir in den Properties der ADTF3_TCP_ICP_SINK (bzw. der ADTF3_TCP_SOCKET_IPC_SOURCE)

die IP Adresse des Jetson Boards angeben. Nur wenn wir in den Filtern 127.0.0.1 eintragen,

wird ADTF2 korrekt initialisiert. Dieser Fehler tritt außerdem unabhängig davon auf, ob

das ADTF3 Projekt auf dem Jetson Board gerade läuft oder nicht.

Es kann natürlich sein, dass unser Audi Notebook eine Firewall besitzt, welche die TCP Ports

4001 und 4321 blockt. Eventuell wäre es sinnvoll, zu diesem Thema ein neues Ticket zu erstellen, ich bin aber derzeit

unschlüssig, ob das an ADTF2 (d.h. der ADTF3 Support TB für ADTF2) oder an irgendeiner Firewall liegt.

Die beiden Rechner sehen sich, wenn ich sie gegenseitig anpinge.

Habt Ihr schon einmal probiert, Daten zwischen ADTF2 und ADTF3 auf verschiedenen Rechnern auszutauschen?

Lösung

Ja das sollte eigentlich genauso gehen.

Du darfst allerdings bei Sink nicht die Adresse des Boards eintragen, sondern die deines Desktop PCs.

Die Frage lautet immer: Welche Adresse sendet die Daten ?

Desktop:

Source: Adresse Board

Sink: Adresse Desktop

Board:

Source: Adresse Desktop

Sink: Adresse Board

History

#1 - 2018-07-30 14:38 - hidden

- Author changed from hidden to hidden

- Topic set to ADTF3SupportTB::TCP

#3 - 2018-07-30 14:52 - hidden

- Status changed from New to Customer Feedback Required
#4 - 2018-07-30 16:28 - hidden

Oh mein Gott, es funktioniert!!!! Wie cool. :)

Vielen herzlichen Dank, Florian!!

#5 - 2018-07-31 07:44 - hidden

- Project changed from 11 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Customer set to AUDI

- Department set to AEV

#6 - 2018-07-31 07:45 - hidden

- Private changed from Yes to No

#7 - 2018-07-31 15:08 - hidden

- Status changed from To Be Closed to Closed
